export default function authDispatches(dispatch: any): {
    signUp: (user: {
        email: string;
        password: string;
        firstName: string;
        lastName: string;
    }) => void;
    confirmSignUp: (confirmationCode: string, email?: string | undefined) => void;
    resendConfirmationCode: (email: string) => void;
    signIn: (email: string, password: string) => void;
    signOut: () => void;
    forgotPassword: (email: string) => void;
    forgotPasswordSubmit: (code: string, newPassword: string, email?: string | undefined) => void;
    changePassword: (oldPassword: string, newPassword: string) => void;
    changeAttributes: (name: string, email: string) => void;
};
